
Redmine - Feature #34337

Remove jQuery Migrate

2020-11-30 01:52 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 5.0.0   

Resolution: Fixed   

Description

#33383#note-3:

Because the update can break some plugins, I propose the following plan for this update:

1. Commit the current patches

2. Keep this ticket open for one or two months in order to have time to find potential problems generated by the update

3. After this period, commit jQuery Migrate

4. In Redmine 5.0.0, remove jQuery Migrate and keep only the latest jQuery version.

Related issues:

Related to Redmine - Feature #33383: Update jQuery to 3.5.1 Closed

Associated revisions

Revision 20871 - 2021-03-29 05:00 - Go MAEDA

Remove jQuery Migrate (#34337).

History

#1 - 2020-11-30 01:52 - Go MAEDA

- Related to Feature #33383: Update jQuery to 3.5.1 added

#2 - 2021-03-28 19:51 - Marius BĂLTEANU

- Assignee set to Go MAEDA

Let's remove this as soon as possible.

#3 - 2021-03-29 05:00 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Fixed

Marius BALTEANU wrote:

Let's remove this as soon as possible.

 Done in r20871.
https://jquery.com/upgrade-guide/3.0/#jquery-migrate-plugin
